------------------------------------------------------------------------
r112 | fuskare01 | 2011-10-14 22:54:54 +0000 (Fri, 14 Oct 2011) | 1 line
Changed paths:
   M /trunk/ChocoboSoundControlPanel.xml

Changed position of chocobo image on the sound control panel.
------------------------------------------------------------------------
r111 | fuskare01 | 2011-10-14 22:45:14 +0000 (Fri, 14 Oct 2011) | 5 lines
Changed paths:
   M /trunk/ChocoboOptions.xml
   M /trunk/ChocoboSoundControl.lua
   M /trunk/ChocoboSoundControlPanel.lua
   M /trunk/ChocoboSoundControlPanel.xml
   A /trunk/images
   A /trunk/images/chocobo.tga
   A /trunk/images/chocobo_small.tga

Images and bug fixes.

ADDED: A chocobo image on the main options panel and sound control options panel.
FIXED: Setting ambience volume should no longer throw an error.
FIXED: Naming errors in sound control XML.
------------------------------------------------------------------------
r110 | fuskare01 | 2011-10-12 23:16:46 +0000 (Wed, 12 Oct 2011) | 4 lines
Changed paths:
   M /trunk/ChocoboSoundControl.lua
   M /trunk/ChocoboSoundControlPanel.lua

Changes and fixes to sound control.

FIXED: Sound control items in the GUI should now disable when sound control is toggled off.
FIXED: Volume should no longer change while volume control is disabled.
------------------------------------------------------------------------
r109 | fuskare01 | 2011-10-10 23:29:11 +0000 (Mon, 10 Oct 2011) | 2 lines
Changed paths:
   M /trunk/ChocoboSoundControlPanel.lua

FIXED: Sound control tabs should no longer "deselect" when toggling default mode/sound control.
CHANGED: Made most text white instead of yellow.
------------------------------------------------------------------------
r107 | fuskare01 | 2011-10-10 23:10:40 +0000 (Mon, 10 Oct 2011) | 8 lines
Changed paths:
   M /trunk/Broker_Chocobo.lua
   M /trunk/Chocobo.lua
   M /trunk/ChocoboCommand.lua
   M /trunk/ChocoboOptions.xml
   M /trunk/ChocoboSoundControl.lua
   M /trunk/ChocoboSoundControlPanel.lua
   M /trunk/ChocoboSoundControlPanel.xml
   M /trunk/locales/enUS.lua

Numerous updates, fixes and additions.

ADDED: Volume control.
FIXED: "/chocobo options" should now properly open the options panel.
FIXED: The GUI should now properly display background textures where applicable.
FIXED: When saved variables are updated, old settings should now convert to new format.
CHANGED: Format of Sound Control saved variables changed.
CHANGED: Using any method to open the main Chocobo options panel should now also expand it in the list of AddOns.
------------------------------------------------------------------------
r106 | fuskare01 | 2011-10-09 23:45:16 +0000 (Sun, 09 Oct 2011) | 1 line
Changed paths:
   M /trunk/ChocoboOptions.xml
   M /trunk/locales/deDE.lua
   M /trunk/locales/esES.lua
   M /trunk/locales/esMX.lua
   M /trunk/locales/frFR.lua
   M /trunk/locales/koKR.lua
   M /trunk/locales/ptBR.lua
   M /trunk/locales/ruRU.lua
   M /trunk/locales/zhCN.lua
   M /trunk/locales/zhTW.lua

Made buttons nicer, code cleanup in locale files.
------------------------------------------------------------------------
r105 | fuskare01 | 2011-10-09 17:44:42 +0000 (Sun, 09 Oct 2011) | 1 line
Changed paths:
   M /trunk/Broker_Chocobo.lua
   M /trunk/locales/enUS.lua

FIXED: Version should no longer be prefixed with "version" or "v" (Which resulted in "version vX" and "vvX".
------------------------------------------------------------------------
r100 | fuskare01 | 2011-10-08 04:26:07 +0000 (Sat, 08 Oct 2011) | 1 line
Changed paths:
   M /trunk/ChocoboOptions.xml

FIXED: Should no longer error when trying to add songs via the options panel.
------------------------------------------------------------------------
r98 | fuskare01 | 2011-10-08 04:04:15 +0000 (Sat, 08 Oct 2011) | 1 line
Changed paths:
   M /trunk/ChocoboCommand.lua

FIXED: /chocobo gui should now bring up the Sound Control GUI properly.
------------------------------------------------------------------------
r97 | fuskare01 | 2011-10-08 03:58:20 +0000 (Sat, 08 Oct 2011) | 1 line
Changed paths:
   M /trunk/locales/enUS.lua

Minor localization updates.
------------------------------------------------------------------------
r95 | fuskare01 | 2011-10-08 03:34:12 +0000 (Sat, 08 Oct 2011) | 2 lines
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/ChocoboOptions.xml
   M /trunk/ChocoboSoundControl.lua

FIXED: The main option panel should no longer print redundant messages to chat when options change.
REMOVED: Leftover debug message.
------------------------------------------------------------------------
r94 | fuskare01 | 2011-10-08 03:26:03 +0000 (Sat, 08 Oct 2011) | 1 line
Changed paths:
   M /trunk/ChocoboSoundControlPanel.xml

FIXED: The Sound Control panel should no longer output status messages to chat when an option is changed, since this is redundant.
------------------------------------------------------------------------
r93 | fuskare01 | 2011-10-08 03:22:08 +0000 (Sat, 08 Oct 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.toc
   D /trunk/ChocoboSoundControlFrame.lua
   D /trunk/ChocoboSoundControlFrame.xml
   A /trunk/ChocoboSoundControlPanel.lua (from /trunk/ChocoboSoundControlFrame.lua:92)
   A /trunk/ChocoboSoundControlPanel.xml (from /trunk/ChocoboSoundControlFrame.xml:92)

CHANGED: Renamed ChocoboSoundControlFrame.* files to ChocoboSoundControlPanel.*.
------------------------------------------------------------------------
r92 | fuskare01 | 2011-10-08 03:20:05 +0000 (Sat, 08 Oct 2011) | 2 lines
Changed paths:
   D /trunk/ChocoboInterfacePanel.lua
   D /trunk/ChocoboInterfacePanel.xml
   D /trunk/ChocoboSoundControl.xml
   A /trunk/ChocoboSoundControlFrame.lua
   A /trunk/ChocoboSoundControlFrame.xml

FIXED: Missing files added.
FIXED: Forgot to remove some old files.
------------------------------------------------------------------------
r91 | fuskare01 | 2011-10-08 03:18:07 +0000 (Sat, 08 Oct 2011) | 7 lines
Changed paths:
   M /trunk/Broker_Chocobo.lua
   M /trunk/Chocobo.lua
   M /trunk/Chocobo.toc
   M /trunk/ChocoboCommand.lua
   M /trunk/ChocoboOptions.lua
   M /trunk/ChocoboOptions.xml
   M /trunk/ChocoboSoundControl.lua
   M /trunk/libs/ChocoboLib/ChocoboLib.lua
   M /trunk/locales/enUS.lua

Major update to most stuff.

ADDED: Split method added to ChocoboLib.
FIXED: Various code optimizations.
CHANGED: Sound Control has been reworked and now has more customization available.
CHANGED: The options are now contained inside the interface panel.
REMOVED: The old interface panel with a single button has been removed.
------------------------------------------------------------------------
r90 | fuskare01 | 2011-10-06 20:27:02 +0000 (Thu, 06 Oct 2011) | 1 line
Changed paths:
   M /trunk/.pkgmeta

FIXED: LDB should now be included in no-lib packages (LDB not available as stand-alone).
------------------------------------------------------------------------
r89 | fuskare01 | 2011-10-05 20:14:57 +0000 (Wed, 05 Oct 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/ChocoboOptions.lua
   M /trunk/ChocoboOptions.xml

CHANGE: Less clutter in global namespace.
------------------------------------------------------------------------
r88 | fuskare01 | 2011-10-04 23:09:34 +0000 (Tue, 04 Oct 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/locales/enUS.lua

FIXED: PrintMusic and PrintMounts will now notify the user if the music or mount list is empty.
------------------------------------------------------------------------
r87 | fuskare01 | 2011-10-04 23:01:12 +0000 (Tue, 04 Oct 2011) | 4 lines
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/Chocobo.toc
   A /trunk/ChocoboCommand.lua
   M /trunk/ChocoboOptions.lua
   M /trunk/ChocoboOptions.xml
   M /trunk/libs/ChocoboLib/ChocoboLib.lua
   M /trunk/locales/enUS.lua

Changes to GUI and command handling.

CHANGED: Implemented command handler to handle slash commands instead of long if-else nest.
CHANGED: Options GUI should now look a bit nicer.
------------------------------------------------------------------------
r85 | fuskare01 | 2011-10-02 14:16:14 +0000 (Sun, 02 Oct 2011) | 1 line
Changed paths:
   M /trunk/.pkgmeta

FIXED: ChocoboLib should now be included in all packaged downloads.
------------------------------------------------------------------------
r84 | fuskare01 | 2011-10-02 02:20:34 +0000 (Sun, 02 Oct 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua

Cleaned up MusicCheck and added some comments.
------------------------------------------------------------------------
r83 | fuskare01 | 2011-09-29 23:57:08 +0000 (Thu, 29 Sep 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.toc
   A /trunk/locales/load.xml

CHANGED: Now uses one XML file to load all locale files.
------------------------------------------------------------------------
r81 | fuskare01 | 2011-09-29 20:40:23 +0000 (Thu, 29 Sep 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/libs/ChocoboLib/ChocoboLib.lua

FIXED: Should no longer error when mounting a non-Hawkstrider.
------------------------------------------------------------------------
r80 | fuskare01 | 2011-09-29 20:04:18 +0000 (Thu, 29 Sep 2011) | 1 line
Changed paths:
   M /trunk/libs/ChocoboLib/ChocoboLib.lua

FIXED: UnitAura returning no buff name should no longer cause the AddOn to fail.
------------------------------------------------------------------------
r78 | fuskare01 | 2011-09-29 19:36:04 +0000 (Thu, 29 Sep 2011) | 5 lines
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/Chocobo.toc
   A /trunk/libs/ChocoboLib
   A /trunk/libs/ChocoboLib/ChocoboLib.lua
   A /trunk/libs/ChocoboLib/ChocoboLib.xml
   M /trunk/locales/enUS.lua

Overall improvements to the AddOn.

CHANGED: Some functions are now contained in the new ChocoboLib, instead of inside the main AddOn.
CHANGED: Song storage uses a new format, current songs will be automatically fixed to fit this new format.
FIXED: Loading process should now work better.
------------------------------------------------------------------------
r76 | fuskare01 | 2011-09-25 22:25:51 +0000 (Sun, 25 Sep 2011) | 4 lines
Changed paths:
   M /trunk/Broker_Chocobo.lua
   M /trunk/Chocobo.lua
   M /trunk/locales/enUS.lua

Changes to Broker plugin.

ADDED: Middle Click option to the Broker plugin to toggle sound control mode.
CHANGED: The "Click" option on the Broker plugin has been changed to "Left Click".
------------------------------------------------------------------------
r75 | fuskare01 | 2011-09-20 23:33:13 +0000 (Tue, 20 Sep 2011) | 2 lines
Changed paths:
   A /trunk/COPYING
   M /trunk/Chocobo.lua

FIXED: Should now properly disable music when Sound Control Mode is enabled.
ADDED: The COPYING file containing license info is now added to the SVN repo.
------------------------------------------------------------------------
r74 | fuskare01 | 2011-09-20 20:28:39 +0000 (Tue, 20 Sep 2011) | 1 line
Changed paths:
   M /trunk/.pkgmeta
   M /trunk/Broker_Chocobo.lua
   M /trunk/Chocobo.lua
   M /trunk/ChocoboInterfacePanel.lua
   M /trunk/ChocoboInterfacePanel.xml
   M /trunk/ChocoboOptions.lua
   M /trunk/ChocoboOptions.xml
   M /trunk/ChocoboSoundControl.lua
   M /trunk/ChocoboSoundControl.xml
   M /trunk/locales/deDE.lua
   M /trunk/locales/enUS.lua
   M /trunk/locales/esES.lua
   M /trunk/locales/esMX.lua
   M /trunk/locales/frFR.lua
   M /trunk/locales/koKR.lua
   M /trunk/locales/ptBR.lua
   M /trunk/locales/ruRU.lua
   M /trunk/locales/zhCN.lua
   M /trunk/locales/zhTW.lua

ADDED: Copyright notification at the top of all Chocobo files.
------------------------------------------------------------------------
r73 | fuskare01 | 2011-09-20 19:01:37 +0000 (Tue, 20 Sep 2011) | 1 line
Changed paths:
   M /trunk/Broker_Chocobo.lua
   M /trunk/locales/enUS.lua

ADDED: Right-clicking the broker plugin will now open the Chocobo Sound Control panel.
------------------------------------------------------------------------
r71 | fuskare01 | 2011-09-19 23:34:42 +0000 (Mon, 19 Sep 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua

FIXED: Removed unneeded line in SoundCheck.
------------------------------------------------------------------------
r69 | fuskare01 | 2011-09-19 23:17:53 +0000 (Mon, 19 Sep 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua

FIXED: Hotfixed the issue with music not playing the second time you mount.
------------------------------------------------------------------------
r67 | fuskare01 | 2011-09-19 22:38:25 +0000 (Mon, 19 Sep 2011) | 6 lines
Changed paths:
   M /trunk/Chocobo.lua
   M /trunk/Chocobo.toc
   M /trunk/ChocoboOptions.lua
   M /trunk/ChocoboOptions.xml
   A /trunk/ChocoboSoundControl.lua
   A /trunk/ChocoboSoundControl.xml
   M /trunk/locales/enUS.lua

Bug fixes and new sound control module.

ADDED: New sound control module to enable and disable sound when mounting and dismounting.
FIXED: The AddOn should now generate a lot less spam.
FIXED: The AddOn should no longer fail to play mount music while a lot of UNIT_AURA events are thrown.
FIXED: Missing locale variable.
------------------------------------------------------------------------
r65 | fuskare01 | 2011-09-15 22:46:48 +0000 (Thu, 15 Sep 2011) | 1 line
Changed paths:
   M /trunk/Broker_Chocobo.lua
   M /trunk/Chocobo.lua
   M /trunk/ChocoboOptions.lua
   M /trunk/ChocoboOptions.xml
   M /trunk/locales/enUS.lua

ADDED: Users can now add their own mounts to be detected when the AddOn is in "Hawkstrider Only" mode.
------------------------------------------------------------------------
r64 | fuskare01 | 2011-09-13 22:42:45 +0000 (Tue, 13 Sep 2011) | 1 line
Changed paths:
   M /trunk/Chocobo.lua

CHANGED: HasBuff now only uses one table with values, instead of one table with subtables containing values.
------------------------------------------------------------------------
